---
title: MouseEvent.clientY
slug: Web/API/MouseEvent/clientY
tags:
  - API
  - CSSOM View
  - DOM Events
  - MouseEvent
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <strong><code>clientY</code></strong> read-only property of the {{domxref("MouseEvent")}} interface provides the vertical coordinate within the application's {{glossary("viewport")}} at which the event occurred (as opposed to the coordinate within the page).</p>

<p>For example, clicking on the top edge of the viewport will always result in a mouse event with a <code>clientY</code> value of <code>0</code>, regardless of whether the page is scrolled vertically.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>y</em> = <em>instanceOfMouseEvent</em>.clientY
</pre>

<h3 id="Return_value">Return value</h3>

<p>A <code>double</code> floating point value, as redefined by the CSSOM View Module. Originally, this property was defined as a <code>long</code> integer. See the "Browser compatibility" section for details.</p>

<h2 id="Example">Example</h2>

<p>This example displays your mouse's coordinates whenever you trigger the {{Event("mousemove")}} event.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;Move your mouse to see its position.&lt;/p&gt;
&lt;p id="screen-log"&gt;&lt;/p&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">let screenLog = document.querySelector('#screen-log');
document.addEventListener('mousemove', logKey);

function logKey(e) {
  screenLog.innerText = `
    Screen X/Y: ${e.screenX}, ${e.screenY}
    Client X/Y: ${e.clientX}, ${e.clientY}`;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSSOM View','#dom-mouseevent-clienty', 'clientY')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Redefines {{domxref("MouseEvent")}} from <code>long</code> to <code>double</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events','#widl-MouseEvent-clientY','MouseEvent.clientY')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>No change from {{SpecName('DOM2 Events')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Events','#Events-MouseEvent','MouseEvent.clientY')}}</td>
   <td>{{Spec2('DOM2 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MouseEvent.clientY")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("MouseEvent") }}</li>
 <li>{{domxref("MouseEvent.clientX","clientX")}}</li>
 <li>{{domxref("MouseEvent.screenX","screenX")}} / {{domxref("MouseEvent.screenY","screenY")}}</li>
</ul>
